apiVersion: apps/v1
kind: Deployment
metadata:
  name: anchorr
  namespace: stack-arr
spec:
  replicas: 1
  selector:
    matchLabels:
      app: anchorr
  template:
    metadata:
      labels:
        app: anchorr
    spec:
      imagePullSecrets:
      - name: regcred
      containers:
      - name: anchorr
        image: nairdah/anchorr:latest
        securityContext:
          capabilities:
            add:
              - NET_ADMIN
        ports:
          - containerPort: 8282 
            name: webhook
        env:
        - name: PUID
          value: "1013"
        - name: PGID
          value: "1013"
        - name: TZ
          value: 'Etc/UTC'
        - name: NODE_ENV
          value: 'production'
        - name: WEBHOOK_PORT
          value: '8282'
        volumeMounts:
        - name: config
          mountPath: /usr/src/app/config
      volumes:
      - name: config
        persistentVolumeClaim:
          claimName: anchorr-config-pvc

